<?
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';

$us_adm = intval($_GET['id']);
$ank_adm=mysql_fetch_array(mysql_query("SELECT * FROM `user` WHERE `id` = $us_adm LIMIT 1"));

$set['title']='Аватар  '.$ank_adm['nick']; // заголовок страницы

include_once '../sys/inc/thead.php';
title();








if (isset($user) && $user['level']>2)include 'inc/admin_act.php';

if (isset($_POST['msg']) && isset($user))
{
$msg=$_POST['msg'];
if (isset($_POST['translit']) && $_POST['translit']==1)$msg=translit($msg);
if (strlen2($msg)>1024){$err='Сообщение слишком длинное';}
elseif (strlen2($msg)<2){$err='Короткое сообщение';}

else{

$msg=mysql_escape_string($msg);

mysql_query("INSERT INTO `ava` (id_user,id_user_adm, time, msg) values('$user[id]', '$us_adm', '$time', '$msg')");
mysql_query("UPDATE `user` SET `balls` = '".($user['balls']+1)."' WHERE `id` = '$user[id]' LIMIT 1");
msg('Комментарий  успешно добавлен');



$msg2=mysql_escape_string($msg2);

$msg=mysql_escape_string($msg);

if (isset($user) && $user['id']!=$us_adm){
$msg2="[b]$user[nick][/b] Оставил комментарий  к вашему [url=/ava/index.php?id=$us_adm] аватору[/url]";
mysql_query("INSERT INTO `jurnal` (`id_user`, `id_kont`, `msg`, `time`) values('0', '$us_adm', '$msg2', '$time')");
}
}
}

if (isset($_POST['msg']) && !isset($user))
{
$msg=$_POST['msg'];
if (isset($_POST['translit']) && $_POST['translit']==1)$msg=translit($msg);
if (strlen2($msg)>1024){$err='Сообщение слишком длинное';}
elseif (isset($_SESSION['antiflood']) && $_SESSION['antiflood']>$time-300){$err='Для того чтобы чаще писать нужно авторизоваться';}
elseif (strlen2($msg)<2){$err='Короткое сообщение';}
elseif (mysql_result(mysql_query("SELECT COUNT(*) FROM `guest` WHERE `id_user` = '0' AND `id_user_adm` = $us_adm AND `msg` = '".mysql_escape_string($msg)."' LIMIT 1"),0)!=0){$err='Ваше сообщение повторяет предыдущее';}
else{
$msg=mysql_escape_string($msg);



$_SESSION['antiflood']=$time;
mysql_query("INSERT INTO `ava` (id_user, id_user_adm, time, msg) values('0', '$us_adm', '$time', '$msg')");
msg('Комментарий успешно добавлено');
}
}

err();
aut(); // форма авторизации
if (isset($user) && $user['id']==$ank_adm['id']){
echo "<a href='/avatar.php'>";
}

avatar($ank['id']);



echo "</a>";

echo '<div class="foot">Комментарии:';


echo ' (';@include H.'ava/count.php';echo ')<br /></div>';









$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `ava` WHERE `id_user_adm` = $us_adm"),0);
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
if ($k_post==0)
{
echo "Нет сообщений<br/>\n";
}

$q=mysql_query("SELECT * FROM `ava` WHERE `id_user_adm` = $us_adm ORDER BY id DESC LIMIT $start, $set[p_str]");

while ($post = mysql_fetch_array($q))
{
$ank=mysql_fetch_array(mysql_query("SELECT * FROM `user` WHERE `id` = $post[id_user] LIMIT 1"));

if($num==1){ echo "<div class='rowdown'>";
$num=0;}
else
{echo "<div class='rowup'>";
$num=1;}

echo "".online($ank['id'])."<a href='/info.php?id=$ank[id]'><span style=\"color:$ank[color]\">$ank[nick]</span></a>\n";


echo "(".vremja($post['time']).")<br/>\n";

echo "<span style=\"color:$ank[scolor]\">\n";

echo esc(trim(br(bbcode(smiles(links(stripcslashes(htmlspecialchars($post['msg']))))))))."<br />\n";
echo "</span>\n";
if ($post['reply']!=NULL){
echo '<div class="cit"><b style="color: red;">Ответ:</b> <span class="ank_no">'.esc(trim(br(bbcode(smiles(links(stripcslashes(htmlspecialchars($post['reply'])))))))).'</span></div>';
}
if (user_access('adm_panel_show'))echo "<a href='delete.php?id=$post[id]'>Del</a> |\n";
if (isset($user) && $user['id']==$ank_adm['id']){
echo "<a href='delete.php?id=$post[id]'>Удалить</a><br />\n";
}
echo "</div>\n";

}

if (isset($user))
{
echo '<form method="post" action="index.php?id='.$us_adm.'">';
echo "Сообщение: <a><a href='/smiles.php'>[Смайлы]</a><br />\n<textarea name=\"msg\"></textarea><br />\n";



if (!isset($user))echo "<img src=\"img.php?".SID."\" width=\"100\" height=\"30\" alt=\"Проверочное число\"/><br />\n<input name=\"chislo\" size=\"5\" maxlength=\"5\" value=\"\" type=\"text\" /><br/>\n";
echo "<input value=\"Отправить\" type=\"submit\" />\n";
echo "</form>\n";
}

echo "Вернуться к <a href='/info.php?id=$ank_adm[id]'>$ank_adm[nick]</a>\n";

if ($k_page>1)str('?id='.$ank_adm['id'].'&amp;',$k_page,$page); // Вывод страниц




include_once '../sys/inc/tfoot.php';
?>
